
QGIS Application - Bug report #13200

QGIS 2.10.1 segfaults before opening

2015-08-10 08:24 AM - Daniel Baston

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No

Operating System: Linux, Ubuntu 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21261

Description

Just upgraded from 2.6 to 2.10.1 using .deb packages in QGIS repo.

Stack Trace

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

Core was generated by `/usr/bin/qgis.bin'.

Program terminated with signal SIGSEGV, Segmentation fault.

#0  0x00007f813dd3785d in QgsPythonUtilsImpl::pluginList() () from /usr/lib/libqgispython.so

Traceback (most recent call last):

  File "/usr/share/gdb/auto-load/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.19-gdb.py", line 63, in <module>

    from libstdcxx.v6.printers import register_libstdcxx_printers

ImportError: No module named 'libstdcxx'

(gdb) bt

#0  0x00007f813dd3785d in QgsPythonUtilsImpl::pluginList() () from /usr/lib/libqgispython.so

#1  0x00007f81c7edb7dc in QgsPythonRunner::eval(QString, QString&) () from /usr/lib/libqgis_core.so.2.10.1

#2  0x00000000007cb422 in ?? ()

#3  0x0000000000513b7d in QgisApp::QgisApp(QSplashScreen*, bool, QWidget*, QFlags<Qt::WindowType>) ()

#4  0x00000000004c7c1b in ?? ()

#5  0x00007f81c3a24ec5 in __libc_start_main (main=0x4c68f0, argc=1, argv=0x7ffc86e3c8b8, init=<optimized out>, fini=<optimized

out>, rtld_fini=<optimized out>, stack_end=0x7ffc86e3c8a8) at libc-start.c:287

#6  0x00000000004cd258 in _start ()

Install log

Preparing to unpack .../qgis-plugin-grass_1%3a2.10.1+20trusty_amd64.deb ...

Leaving 'diversion of /usr/bin/qgis to /usr/bin/qgis.bin by qgis-plugin-grass'

Leaving 'diversion of /usr/bin/qbrowser to /usr/bin/qbrowser.bin by qgis-plugin-grass'

Unpacking qgis-plugin-grass (1:2.10.1+20trusty) over (2.6.1.1+trusty1) ...

Preparing to unpack .../qgis-plugin-grass-common_1%3a2.10.1+20trusty_all.deb ...

Unpacking qgis-plugin-grass-common (1:2.10.1+20trusty) over (2.6.1.1+trusty1) ...

Selecting previously unselected package libqgis-core2.10.1.

Preparing to unpack .../libqgis-core2.10.1_1%3a2.10.1+20trusty_amd64.deb ...

Unpacking libqgis-core2.10.1 (1:2.10.1+20trusty) ...

Selecting previously unselected package libqgis-gui2.10.1.

Preparing to unpack .../libqgis-gui2.10.1_1%3a2.10.1+20trusty_amd64.deb ...

Unpacking libqgis-gui2.10.1 (1:2.10.1+20trusty) ...

Selecting previously unselected package libqgisgrass2.10.1.

Preparing to unpack .../libqgisgrass2.10.1_1%3a2.10.1+20trusty_amd64.deb ...

Unpacking libqgisgrass2.10.1 (1:2.10.1+20trusty) ...
Preparing to unpack .../qgis-plugin-globe_1%3a2.10.1+20trusty_amd64.deb ...

Unpacking qgis-plugin-globe (1:2.10.1+20trusty) over (2.6.1.1+trusty1) ...

Preparing to unpack .../qgis-plugin-globe-common_1%3a2.10.1+20trusty_all.deb ...

Unpacking qgis-plugin-globe-common (1:2.10.1+20trusty) over (2.6.1.1+trusty1) ...

Selecting previously unselected package libqgis-analysis2.10.1.

Preparing to unpack .../libqgis-analysis2.10.1_1%3a2.10.1+20trusty_amd64.deb ...

Unpacking libqgis-analysis2.10.1 (1:2.10.1+20trusty) ...

Selecting previously unselected package libqgis-networkanalysis2.10.1.

Preparing to unpack .../libqgis-networkanalysis2.10.1_1%3a2.10.1+20trusty_amd64.deb ...

Unpacking libqgis-networkanalysis2.10.1 (1:2.10.1+20trusty) ...

Preparing to unpack .../qgis_1%3a2.10.1+20trusty_amd64.deb ...

Unpacking qgis (1:2.10.1+20trusty) over (2.6.1.1+trusty1) ...

Preparing to unpack .../qgis-providers_1%3a2.10.1+20trusty_amd64.deb ...

Unpacking qgis-providers (1:2.10.1+20trusty) over (2.6.1.1+trusty1) ...

Preparing to unpack .../qgis-providers-common_1%3a2.10.1+20trusty_all.deb ...

Unpacking qgis-providers-common (1:2.10.1+20trusty) over (2.6.1.1+trusty1) ...

Preparing to unpack .../qgis-common_1%3a2.10.1+20trusty_all.deb ...

Unpacking qgis-common (1:2.10.1+20trusty) over (2.6.1.1+trusty1) ...

Running on

Distributor ID:    Ubuntu

Description:    Ubuntu 14.04.3 LTS

Release:    14.04

Codename:    trusty

History

#1 - 2015-08-10 10:15 AM - Daniel Baston

It looks like the problem was that upgrading the "qgis" package does not trigger an upgrade of the "python-qgis" package.  I manually upgraded

python-qgis and QGIS now loads.

#2 - 2015-09-13 05:39 AM - Saber Razmjooei

- Priority changed from High to Normal

- Status changed from Open to Feedback

Did you do a upgrade or dist-upgrade?

#3 - 2015-10-13 10:28 AM - Saber Razmjooei

- Status changed from Feedback to Closed

Closed due to lack of response.
